﻿local lbf

function TotemTimers.SkinCallback(arg, SkinID,Gloss,Backdrop,Group,Button,Colors)
	TotemTimers_Settings.ButtonFacade = {
		["Skin"] = SkinID,
		["Gloss"] = Gloss,
		["Backdrop"] = Backdrop,
		["Colors"] = Colors,
	}

	local skins = lbf:GetSkins()
	if skins[SkinID].Icon then
		TotemTimers_SetWeaponTextures(false, skins[SkinID])
	end
	if SkinID == "Blizzard" then
		for k,v in pairs(TotemTimers.timers) do
			v.button:SetNormalTexture(nil)
		end
	end
end

function TotemTimers_InitButtonFacade()
	if not LibStub then return end
	lbf = LibStub("LibButtonFacade", true)
	if lbf then
		local group = lbf:Group("TotemTimers")
		for k,v in pairs(TotemTimers.timers) do
            group:AddButton(v.button)
        end 
		for k,v in pairs(TotemTimers.timers) do
            group:AddButton(v.button)
        end 
        for i = 1,4 do
            for j = 1,7 do
                group:AddButton(getglobal("TT_CastButton"..i..j))
            end
        end
		for i=1,8 do
            group:AddButton(getglobal("TotemTimers_SetButton"..i))
        end
		lbf:RegisterSkinCallback("TotemTimers", TotemTimers.SkinCallback,nil)
		if TotemTimers_Settings.ButtonFacade then
			group:Skin(TotemTimers_Settings.ButtonFacade.Skin or "Blizzard", 
				TotemTimers_Settings.ButtonFacade.Gloss,
				TotemTimers_Settings.ButtonFacade.Backdrop,
				TotemTimers_Settings.ButtonFacade.Colors
			)
		end		
	end
end

